body {
    font-family: 'Helvetica Neue', Arial, sans-serif;
    background-color: #f7f0f1;
    padding-top: 70px;
}
html {
    scroll-behavior: smooth;
}
.section {
    scroll-margin-top: 70px;
}
footer .nav-link {
    color: #000000 !important;
    font-weight: 500 !important;
    font-size: 16px !important;
}

.bold-font {
    font-weight: 600;
}
.navbar-dark .navbar-toggler {
    background-color: #943649;
}
.navbar {
    background-color: #f7f0f1;
}
.navbar-brand {
    font-weight: bold;
    color: #696cff !important;
    background-color: #f7f0f1;
}
.nav-link {
    color: #566a7f !important;
    font-weight: 600;
    background-color: #f7f0f1;
}
.nav-link.active {
    color: #903649 !important;
    background-color: #ebdddd;
}
.container {
    max-width: 1200px;
}
.card {
    border: none;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
}
.card-header {
    background-image: url('/assets/images/card_background.jpg');
    background-size: cover;
    color: #ffffff;
    font-weight: bold;
    text-align: right;
    font-size: 24px;
}
.form-control {
    border-radius: 10px;
    border: 1px solid #d9dee3;
    padding: 10px 20px;
}
.btn-custom {
    background-color: #a0a0a0;
    color: #ffffff;
    border-radius: 10px;
    padding: 10px 20px;
    border: none;
}
.btn-custom:hover {
    background-color: #f5f5f9;
}
.table {
    border-radius: 8px;
    overflow: hidden;
}
.table th, .table td {
    text-align: center;
    vertical-align: middle;
}
.table-hover thead .product-name {
    text-align: left !important;
}
.table-hover #result .product-name {
    cursor: pointer;
    text-align: left !important;
}
.table-hover #result .product-name:hover {
    color: #000000;
    text-decoration: underline;
}
.table-icons i {
    font-size: 24px;
    color: #903649;
}
.table-icons i:hover {
    color: #ebdddd;
}

.image-display {
    position: relative;
    height: 100%;
}
.image-display img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 8px;
}
.modal-body table {
    width: 100%;
}
.modal-body td {
    border: 1px solid #f5f5f9;
}

#productModal .modal-footer table .price {
    color: #28a745;
    font-weight: bold;
    font-size: 30px;
}

.scrolling-text {
   height: 30px;  
   position: relative;
   white-space: nowrap;
   overflow: hidden;
   box-sizing: border-box;
   width: 100%;
   background-color: #ebdddd;
   padding: 10px;
}
.scrolling-text span {
   position: absolute;
   width: 100%;
   height: 100%;
   margin: 0;
   line-height: 10px;
   text-align: center;
   color: #000000;
   transform:translateX(100%);
   animation: scroll-left 30s linear infinite;
}
.page-link {
    color: #903649;
}
.page-item.active .page-link {
    background-color: #903649;
    border-color: #903649;
}
@keyframes scroll-left {
   0%   {
       transform: translateX(75%);       
   }
   100% {
       transform: translateX(-100%); 
   }
}